Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.multiplex
Class MultiplexServerInvoker.SocketGroupInfo

    java.lang.Object
      org.jboss.remoting.transport.multiplex.MultiplexServerInvoker.SocketGroupInfo

Enclosing class:
  MultiplexServerInvoker

    public static class MultiplexServerInvoker.SocketGroupInfo

extends java.lang.Object

`SocketGroupInfo` holds all of the information for a single virtual socket group.

Constructor Summary
`MultiplexServerInvoker.SocketGroupInfo()`

Method Summary
`void` | `addClientInvoker(MultiplexClientInvoker clientInvoker)`
`java.net.InetAddress` | `getBindAddress()`
`int` | `getBindPort()`
`java.util.Set` | `getClientInvokers()`
`java.net.InetAddress` | `getConnectAddress()`
`int` | `getConnectPort()`
`VirtualSocket` | `getPrimingSocket()`
`boolean` | `getPrimingSocketNeeded()`
`MultiplexServerInvoker` | `getServerInvoker()`
`java.lang.String` | `getSocketGroupId()`
`void` | `removeClientInvoker(MultiplexClientInvoker clientInvoker)`
`void` | `removeServerInvoker(MultiplexServerInvoker serverInvoker)`
`void` | `setBindAddress(java.net.InetAddress bindAddress)`
`void` | `setBindPort(int bindPort)`
`void` | `setConnectAddress(java.net.InetAddress connectAddress)`
`void` | `setConnectPort(int connectPort)`
`void` | `setPrimingSocket(VirtualSocket primingSocket)`
`void` | `setPrimingSocketNeeded(boolean primingSocketNeeded)`
`void` | `setServerInvoker(MultiplexServerInvoker serverInvoker)`
`void` | `setSocketGroupId(java.lang.String socketGroupId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiplexServerInvoker.SocketGroupInfo

    public MultiplexServerInvoker.SocketGroupInfo()

Method Detail

### getBindAddress

    public java.net.InetAddress getBindAddress()

### setBindAddress

    public void setBindAddress(java.net.InetAddress bindAddress)

### getBindPort

    public int getBindPort()

### setBindPort

    public void setBindPort(int bindPort)

### getClientInvokers

    public java.util.Set getClientInvokers()

### addClientInvoker

    public void addClientInvoker(MultiplexClientInvoker clientInvoker)

### removeClientInvoker

    public void removeClientInvoker(MultiplexClientInvoker clientInvoker)

### getConnectAddress

    public java.net.InetAddress getConnectAddress()

### setConnectAddress

    public void setConnectAddress(java.net.InetAddress connectAddress)

### getConnectPort

    public int getConnectPort()

### setConnectPort

    public void setConnectPort(int connectPort)

### getPrimingSocketNeeded

    public boolean getPrimingSocketNeeded()

### setPrimingSocketNeeded

    public void setPrimingSocketNeeded(boolean primingSocketNeeded)

### getPrimingSocket

    public VirtualSocket getPrimingSocket()

### setPrimingSocket

    public void setPrimingSocket(VirtualSocket primingSocket)

### getSocketGroupId

    public java.lang.String getSocketGroupId()

### setSocketGroupId

    public void setSocketGroupId(java.lang.String socketGroupId)

### getServerInvoker

    public MultiplexServerInvoker getServerInvoker()

### removeServerInvoker

    public void removeServerInvoker(MultiplexServerInvoker serverInvoker)

### setServerInvoker

    public void setServerInvoker(MultiplexServerInvoker serverInvoker)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.